osmo_tlv_prot_msg_def Struct Reference
TLV parser

`#include <tlv.h>`

## Data Fields

const char * | name
| human-readable name of message type (optional) More...
const uint8_t * | mand_ies
| array of mandatory IEs More...
uint8_t | mand_count
| number of entries in 'mand_ies' above More...
uint32_t | flags
| user-defined flags (like uplink/downlink/...) More...

## Field Documentation

## flags

uint32_t osmo_tlv_prot_msg_def::flags

user-defined flags (like uplink/downlink/...)

Referenced by osmo_tlv_prot_msgt_flags().

## mand_count

uint8_t osmo_tlv_prot_msg_def::mand_count

number of entries in 'mand_ies' above

Referenced by osmo_tlv_prot_validate_tp().

## mand_ies

const uint8_t* osmo_tlv_prot_msg_def::mand_ies

array of mandatory IEs

Referenced by osmo_tlv_prot_validate_tp().

## name

const char* osmo_tlv_prot_msg_def::name

human-readable name of message type (optional)

Referenced by osmo_tlv_prot_msg_name().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/tlv.h